
From: Stephen Smalley <sds@epoch.ncsc.mil>

This patch restores the proper auditing behavior for the name_bind check. 

Author:  James Morris <jmorris@redhat.com>
Signed-off-by:  Stephen Smalley <sds@epoch.ncsc.mil>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/security/selinux/hooks.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN security/selinux/hooks.c~selinux-fix-name_bind-audit security/selinux/hooks.c
--- 25/security/selinux/hooks.c~selinux-fix-name_bind-audit	2004-08-16 11:47:02.121841784 -0700
+++ 25-akpm/security/selinux/hooks.c	2004-08-16 11:47:02.128840720 -0700
@@ -3052,6 +3052,7 @@ static int selinux_socket_bind(struct so
 				goto out;
 			AVC_AUDIT_DATA_INIT(&ad,NET);
 			ad.u.net.sport = htons(snum);
+			ad.u.net.family = family;
 			err = avc_has_perm(isec->sid, sid,
 					   isec->sclass,
 					   SOCKET__NAME_BIND, NULL, &ad);
_
